# Uses of Interface
org.opensaml.xmlsec.agreement.KeyAgreementCredential

Packages that use KeyAgreementCredential
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of KeyAgreementCredential in org.opensaml.xmlsec.agreement

Methods in org.opensaml.xmlsec.agreement that return KeyAgreementCredential
Modifier and Type
Method
Description
`KeyAgreementCredential`
KeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters parameters)`
Perform the key agreement operation and return a new credential representing the results.

## Uses of KeyAgreementCredential in org.opensaml.xmlsec.agreement.impl

Classes in org.opensaml.xmlsec.agreement.impl that implement KeyAgreementCredential
Modifier and Type
Class
Description
`class`
`BasicKeyAgreementCredential`
Basic implementation of `KeyAgreementCredential`.
Methods in org.opensaml.xmlsec.agreement.impl that return KeyAgreementCredential
Modifier and Type
Method
Description
`protected KeyAgreementCredential`
AbstractKeyAgreementProcessor.`buildKeyAgreementCredential(SecretKey derivedKey, Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Build the final `KeyAgreementCredential` from the given inputs.
`KeyAgreementCredential`
AbstractKeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters inputParameters)`
Perform the key agreement operation and return a new credential representing the results.

## Uses of KeyAgreementCredential in org.opensaml.xmlsec.keyinfo.impl

Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyAgreementCredential
Modifier and Type
Method
Description
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processAgreementParameters(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `getParameters()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processOriginatorKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process the `getOriginatorCredential()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processRecipientKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `getRecipientCredential()`.